<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('settings', function (Blueprint $table) {
            $table->id();
            $table->string('email')->nullable();
            $table->text('address')->nullable();
            $table->string('phone_1')->nullable();
            $table->string('phone_2')->nullable();
            $table->string('whatsapp')->nullable();
            $table->text('offer_text')->nullable();
            $table->string('location')->nullable();
            $table->string('commercial_register')->nullable();
            $table->string('tax_register')->nullable();
            $table->string('instagram')->nullable();
            $table->string('x')->nullable();
            $table->string('facebook')->nullable();
            $table->string('logo')->nullable();
            $table->string('image_contact_us')->nullable();
            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('settings');
    }
};
